import 'package:flutter/material.dart';
import 'package:sci_mobile_components/sci_mobile_components.dart';

void main() => runApp(MyApp());

class MyApp extends StatelessWidget {
  // This widget is the root of your application.

  @override
  Widget build(BuildContext context) {
    return SCIAppTheme(
      theme: SCIThemeModel(
        primaryColor: Color.fromRGBO(57, 151, 203, 1),
        secondaryColor: Color.fromRGBO(229, 144, 66, 1),
        lightColor: Color.fromRGBO(255, 255, 255, 1),
        darkColor: Color.fromRGBO(64, 64, 64, 1),
      ),
      child: MaterialApp(
        home: Scaffold(
          appBar: SCIAppBar(
            logo: Image.network('https://via.placeholder.com/140x40'),
            onSettingPressed: () {},
            onNotificationPressed: () {},
          ),
          body: Test(),
        ),
      ),
    );
  }
}

class Test extends StatelessWidget {
  final List<VitalSignData> data = [
    VitalSignData(recordDate: DateTime.now(), value: '60'),
    VitalSignData(
        recordDate: DateTime.now().add(Duration(days: 1)), value: '70'),
    VitalSignData(
        recordDate: DateTime.now().add(Duration(days: 2)), value: '65'),
  ];

  final List<VitalSignData> data1 = [
    VitalSignData(recordDate: DateTime.now(), value: '55'),
    VitalSignData(
        recordDate: DateTime.now().add(Duration(days: 1)), value: '50'),
    VitalSignData(
        recordDate: DateTime.now().add(Duration(days: 2)), value: '75'),
  ];

  @override
  Widget build(BuildContext context) {
    return Column(
      children: <Widget>[
        Container(
          padding: EdgeInsets.all(20.0),
          width: double.infinity,
          child: SCIBPChart(
            systolic: data,
            diastolic: data1,
            ageInDay: 30,
          ),
        ),
        Expanded(
          child: ListView(
            children: [
              ListTile(
                title: Text('Systolic'),
                subtitle: Text('10-12-2019'),
                trailing: CircleAvatar(
                  child: Text('85'),
                  backgroundColor: Colors.redAccent,
                ),
              ),
              ListTile(
                title: Text('Systolic'),
                subtitle: Text('10-12-2019'),
                trailing: CircleAvatar(
                  child: Text('85'),
                  backgroundColor: Colors.redAccent,
                ),
              ),
            ],
          ),
        )
      ],
    );
  }
}
